import request  from "/@/utils/request";
// 项目总投资金额 /admin/pageHome/projectTotal
export function projectTotal() {
    return request<number>({
        url: '/admin/pageHome/projectTotal',
        method: 'get',
    });
}
interface projectAnnualT {
    name:string; // 分类名称
    num:number; // 数量
    percentage:number; // 占比
}
// 本年度项目数据统计 /admin/pageHome/projectAnnual
export function projectAnnual(type: 1|2) {
    return request<projectAnnualT[]>({
        url: '/admin/pageHome/projectAnnual',
        method: 'get',
        params: {
            type
        }
    })
}
// 本年计划形象额度 /admin/pageHome/plannedImageQuota
export function plannedImageQuota() {
    return request<number>({
        url: '/admin/pageHome/plannedImageQuota',
        method: 'get',
    })
}
// 本年累计形象未完成额度 /admin/pageHome/cumulativeImageQuota
export function cumulativeImageQuota() {
    return request<number>({
        url: '/admin/pageHome/cumulativeImageQuota',
        method: 'get',
    })
}
// 战略新兴产业 /admin/pageHome/emergingIndustries
interface emergingIndustriesT {
    projectTotal:number; // 分类名称
    plannedImageQuota:number; // 数量
    cumulativeImageQuota:number; // 占比
}
export function emergingIndustries() {
    return request<emergingIndustriesT>({
        url: '/admin/pageHome/emergingIndustries',
        method: 'get',
    })
}
// 根据项目性质查询年度形象完成率 /admin/pageHome/AnnualImage
export function AnnualImage(code: 1|2|3) {
    return request<number>({
        url: '/admin/pageHome/AnnualImage',
        method: 'get',
        params: {
            code
        }
    })
}
// /admin/pageHome 投资进展汇总分析
interface pageHomeT {
    page:number;
    size:number;
    deptId:number;
}
export function investmentProgress(data:pageHomeT) {
    return request<number>({
        url: '/admin/pageHome/investmentProgress',
        method: 'post',
        data: data
    })
}